# List data

List all stored data for a workspace.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/data
Version: 1.0
Security: x-api-key

## Query parameters:

  - `pipeline_execution_id` (string)
    Filter by pipeline execution ID
    Example: "Sunt velit aut et explicabo."

  - `pipeline_stage_id` (string)
    Filter by pipeline execution stage ID
    Example: "In pariatur consequatur ut at."

  - `provisioner_type` (string)
    Filter by provisioner type
    Example: "Omnis enim quos sint earum."

  - `data_type` (string)
    Filter by data type
    Example: "Esse quia quos."

  - `stack_path` (string)
    Filter by stack path
    Example: "Rerum et enim eum et illo."

  - `limit` (integer)
    Limit is the number of records to return for a page.
    Example: 30

  - `page` (integer)
    Page is the page number to return relative to the page 'limit'.
    Example: 1

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "7c"

  - `project` (string, required)
    Project is the project identifier.
    Example: "h5"

  - `workspace` (string, required)
    Workspace identifier
    Example: "Error rerum nisi qui quis esse sapiente."

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "b"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "22"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 5885848233292239000

  - `data_type` (string, required)
    Type of data stored
    Enum: "plan_human", "state_raw", "state_human", "cost_breakdown", "cost_diff", "modules", "providers", "cdk_template", "cdk_manifest", "cdk_tree", "cdk_assets", "cdk_diff", "cdk_drift"

  - `id` (string, required)
    The unique identifier for the data
    Example: "dc538c61-de48-4220-958c-5f3c4f983daa"

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "mh"

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Fugiat facere aut corrupti voluptas animi quia."

  - `pipeline_id` (string, required)
    The unique identifier for the associated pipeline
    Example: "Adipisci doloribus voluptatem nulla voluptatum necessitatibus."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline execution stage
    Example: "Explicabo eos enim odit expedita eum sequi."

  - `project` (string, required)
    Project is the project identifier.
    Example: "a9"

  - `provisioner_type` (string, required)
    Type of provisioner that created the data
    Enum: "tf", "awscdk"

  - `rollback_source_id` (string)
    ID of the workspacedata row this entry was rolled back from; null for non-rollback entries
    Example: "Dolorum reiciendis."

  - `stack_path` (string)
    Optional path to the stack module
    Example: "Molestiae et delectus ad nesciunt."

  - `stage_id` (string, required)
    The unique identifier for a stage
    Example: "Dolorum qui excepturi aut ea."

  - `workspace` (string, required)
    Workspace identifier
    Example: "workspace123"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


